//##########################################################################################################################################################
// BF fixed wrong pre trigger calculation. Calculation and timebase table changed.

void Display::CALCPRETRIGGER(void)
{
	float tfactor = 0;
	float timeoff = 0;
		
	switch(Display_Timebase)
	{
		case  0: tfactor = 0.001; break;		//   2 	ns - 1GSa
		case  1: tfactor = 0.001; break;		//   5 	ns - 1GSa
		case  2: tfactor = 0.001; break;		//  10 	ns - 1GSa
		case  3: tfactor = 0.001; break;		//  20 	ns - 1GSa
		case  4: tfactor = 0.001; break;		//  50 	ns - 1GSa
		case  5: tfactor = 0.001; break;		// 100 	ns - 1GSa
		case  6: tfactor = 0.001; break;		// 200 	ns - 1GSa
		case  7: tfactor = 0.001; break;		// 500 	ns - 1GSa	
		case  8: tfactor = 0.001; break;		//   1 	µs - 1GSa
		case  9: tfactor = 0.002; break;		//   2 	µs - 500MSa
		case 10: tfactor = 0.004; break;		//   5 	µs - 250MSa
		case 11: tfactor = 0.04; break;			//  10 	µs - 25MSa
		case 12: tfactor = 0.1; break;			//  20 	µs - 10MSa
		case 13: tfactor = 0.2; break;			//  50 	µs - 5MSa
		case 14: tfactor = 0.4; break;			// 100 	µs - 2.5MSa
		case 15: tfactor = 1; break;			// 200 	µs - 1MSa
		case 16: tfactor = 2; break;			// 500 	µs - 500KSa
		case 17: tfactor = 4; break;			//   1 	ms - 250KSa
		case 18: tfactor = 10; break;			//   2 	ms - 100KSa
		case 19: tfactor = 20; break;			//   5 	ms - 50KSa
		case 20: tfactor = 40; break;			//  10 	ms - 25KSa
		case 21: tfactor = 100; break;			//  20 	ms - 10KSa
		case 22: tfactor = 200; break;			//  50 	ms - 5KSa
		case 23: tfactor = 400; break;			// 100 	ms - 2,5KSa
		case 24: tfactor = 1000; break;			// 200 	ms - 1KSa
		case 25: tfactor = 2000; break;			// 500 	ms - 500Sa
		case 26: tfactor = 4000; break;			//   1 	s  - 250Sa 
		case 27: tfactor = 10000; break;		//   2 	s  - 100Sa
		case 28: tfactor = 20000; break;		//   5 	s  - 50Sa
		case 29: tfactor = 40000; break;		//  10 	s  - 25Sa
		case 30: tfactor = 100000; break;		//  20 	s  - 10Sa
		case 31: tfactor = 200000; break;		//  50 	s  - 5Sa
		case 32: tfactor = 400000; break;		//  50 	s  - 2,5Sa
		case 33: tfactor = 1000000; break;		//  50 	s  - 1 Sa
	}

	timeoff = (float)(Trig_Pos_Mem - 100) * tfactor / 1000000;
	Trigger_Offset_Str.Write_Value(timeoff);
	Trigger_Offset_Str.RenderText();
/*
	printf("******************************************************************\r\n");
	printf("calculating pre trigger...\r\n");
	
	printf("timeoff = (Trig_Pos_Mem - 100) * tfactor  / 1000000\r\n\r\n");
	
	printf("Timeoffset   = "); floatprintf(timeoff); printf("\r\n");
	printf("Trig_Pos_Mem = %d\r\n",Trig_Pos_Mem);
	printf("tfactor      = "); floatprintf(tfactor); printf("\r\n\r\n");
		
	printf("MemWindowStart 	  = %d\r\n",Trig_Mem_Pos);
	printf("SIGNALFaktor_idx  = %d\r\n",SIGNALFaktor_idx);
	printf("Selected_Timebase = %d\r\n",Selected_Timebase);
	printf("Display_Timebase  = %d\r\n",Display_Timebase);
	printf("******************************************************************\r\n");
*/
}