//##########################################################################################################################################################
// BF several bugs fixed.
// Values are printed with after dot positions now. Fixed overflow and underrun and cleaned up
// the variable declarations in this routine.

void FloatStr::RenderText(void)
{
	
	char           Calc_AfterDot = AfterDot;
	volatile float Calc_Value    = Value;
	
	float floatad = 0;
	int   intbd   = 0;
	int   intad   = 0;

	
	if (Calc_Value == 0)
	{
		sprintf(Text, "%s 0.0 %s", PreText, Unit);
		return;
	}        	
	else if (Calc_Value > 0)
	{
		if (Calc_Value < 1)
		{
			Calc_Value *= 1000;
			DimensionUnit[0] = 'm';
		}
		if (Calc_Value < 1)
		{
			Calc_Value *= 1000;
			DimensionUnit[0] = '&';	
		}
		if (Calc_Value < 1)
		{
			Calc_Value *= 1000;
			DimensionUnit[0] = 'n';	
		}				
		if (Calc_Value >= 1000)
		{
			Calc_Value /= 1000;
			DimensionUnit[0] = 'k';
		}
		if (Calc_Value >= 1000)
		{
			Calc_Value /= 1000;
			DimensionUnit[0] = 'M';
		}
		if (Calc_Value >= 1000)
		{
			Calc_Value /= 1000;
			DimensionUnit[0] = 'T';
		}
		if (Calc_Value >= 1000)		//Value is too big -> infinite
		{
			sprintf(Text, "%s *** %s", PreText, Unit);
			return;
		}

	}
	else if (Calc_Value < 0)
	{
		if (Calc_Value > -1)
		{
			Calc_Value *= 1000;
			DimensionUnit[0] = 'm';
		}
		if (Calc_Value > -1)
		{
			Calc_Value *= 1000;
			DimensionUnit[0] = '&';	
		}
		if (Calc_Value > -1)
		{
			Calc_Value *= 1000;
			DimensionUnit[0] = 'n';	
		}			
		if (Calc_Value <= -1000)
		{
			Calc_Value /= 1000;
			DimensionUnit[0] = 'k';
		}
		if (Calc_Value <= -1000)
		{
			Calc_Value /= 1000;
			DimensionUnit[0] = 'M';
		}
		if (Calc_Value <= -1000)
		{
			Calc_Value /= 1000;
			DimensionUnit[0] = 'T';
		}
		if (Calc_Value >= 1000)		//Value is too small -> Zero
		{
			sprintf(Text, "%s 0.0 %s", PreText, Unit);
			return;
		}
	}
	// Copy Float to Integer
	intbd = (int)Calc_Value;	//get before dot integer
	
	//printf("++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n");
	//printf("Calc_Value          =");floatprintf(Calc_Value);printf("\r\n");
	//printf("intbd               = %d\r\n",intbd);
	//printf("MaxLength           = %d\r\n",MaxLength);

	//check how many after dot positions are possible depending on maximum print length
	if (intbd > 0)
	{	
		if (intbd < 9)
		{
			if ((AfterDot + 1) > MaxLength) Calc_AfterDot = MaxLength - 1;
		}
		else if (intbd < 99)
		{
			if ((AfterDot + 2) > MaxLength) Calc_AfterDot = MaxLength - 2;
		}
		else
		{
			if ((AfterDot + 3) > MaxLength) Calc_AfterDot = MaxLength - 3;
		}
	}
	else
	{	
		if (intbd > -9)
		{
			if ((AfterDot + 1) > MaxLength) Calc_AfterDot = MaxLength - 1;
		}
		else if (intbd > -99)
		{
			if ((AfterDot + 2) > MaxLength) Calc_AfterDot = MaxLength - 2;
		}
		else
		{
			if ((AfterDot + 3) > MaxLength) Calc_AfterDot = MaxLength - 3;
		}
	}
		
	floatad = (float)(Calc_Value - intbd); 	//get after dot value as float - cut off before dot
	
	if(floatad < 0)
	{ floatad *= -1 ;}			//we don't need negative values after dot

	//printf("floatad             = ");floatprintf(floatad);printf("\r\n");	

	//printf("positions after dot = %d\r\n",Calc_AfterDot);

	//convert after dot to integer (with 1-4 positions)
	switch(Calc_AfterDot)
	{	
		case 0: intad = (int)(floatad * 1); break;
		case 1: intad = (int)(floatad * 10); break;
		case 2: intad = (int)(floatad * 100); break;
		case 3: intad = (int)(floatad * 1000); break;
		case 4: intad = (int)(floatad * 10000); break;
	}
	//printf("intad               = %d\r\n",intad);
	//printf("Print value         = %s%3d.%d %s%s\r\n", PreText, intbd, intad, DimensionUnit, Unit);
	
	
	//copy values to text string depending on positions after dot
	switch(Calc_AfterDot)
	{
		case 0: sprintf(Text, "%s%3d.0 %s%s", PreText, intbd, DimensionUnit, Unit); break;
		case 1: sprintf(Text, "%s%3d.%01d %s%s", PreText, intbd, intad, DimensionUnit, Unit); break;
		case 2: sprintf(Text, "%s%3d.%02d %s%s", PreText, intbd, intad, DimensionUnit, Unit); break;
		case 3: sprintf(Text, "%s%3d.%03d %s%s", PreText, intbd, intad, DimensionUnit, Unit); break;
		case 4: sprintf(Text, "%s%3d.%04d %s%s", PreText, intbd, intad, DimensionUnit, Unit); break;
	}  
	//printf("Print text string   = %s\r\n", Text);
	//printf("++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\r\n");
}
